PDA

Visualizza versione completa : Java per linux........AIUTO!!!!!


Antipop
03-03-2002, 13.50.07
Sono riuscito ad scaricarmi il file. Adesso per installaro mi sono state fornite le istruzioni seguenti:





Start a shell, find the downloaded file and exctract by:

chmod a+x j2re-1_3_1-linux-i386-rpm.bin; ./j2re-1_3_1-linux-i386-rpm.bin

Install the package by: su -c "rpm -Uvh jre-1.3.1.i386.rpm"

Make sure Opera finds the plug-in by adding

/usr/java/jre1.3.1/plugin/i386/ns4 to OPERA_PLUGIN_PATH

Make sure Mime-Type's are correctly associated to Show with plug-in under Preferences/Applications/Plug-ins

If the installation was succesful you'll see a "Locate a Java User Group Near

You" ticker to the bottom left at

http://www.java.sun.com.

Avvio una console e digito il comando ma mi dice directory o file inesistente......mi data una mano grazie?
Uso Mandrake8.1......ciao

Ibanez
03-03-2002, 14.14.41
Ti potrà sembrare una risposta stupida ma ti sei assicurato di essere entrato nella directory dove è presente il file? Comunque nella mandrake dovrebbe essere già presente il plug in java, dovrebbe bastare aggiungerlo nel path di opera. Reinstallandolo potresti avere conflitti e non sono una bella cosa da risolvere sotto linux. :(

Antipop
03-03-2002, 17.34.23
Il plugin che voglio installare serve per opera che è l'unico browser che voglio tenere oltre a konqueror.
Forse sono stupido........io ho salvato il file su desktop.
Come avrai intuito sono novello, puoi darmi una procedura generale per installare i pacchetti rpm che scarico e soprattutto per trovare l'icona o il collegamento da mettere sul desktop. Grazie mille per l'aiuto......

Antipop
04-03-2002, 06.28.36
nessuno mi aiuta.....sig sig.......

Ibanez
04-03-2002, 10.07.10
Prova ad aggiungere nel path di opera la cartella in cui hai il plug-in come ti dicono di fare sul sito della sun.
Per installare gli rpm ci sono dei programmi appositi nella distribuzione tipo gnorpm, solitamente basta che clicchi sopra al file due volte, e parte l'installazione, se ti dà degli errori vedi di scaricare anche le librerie che gli occorrono(se capita te lo chiede lui). Perdonami se non sono stato troppo chiaro ma vado un pò di fretta:)

Antipop
04-03-2002, 18.55.31
E per avere le icone sul desktop dei programmi?grazie

Antipop
04-03-2002, 20.04.22
Sarò imbecille ma non ce riesco!!!!!!!

Ibanez
04-03-2002, 20.54.40
Per avere sul desktop le icone dei programmi, clicca con il tasto destro in mezzo allo schermo scegli nuova applicazione e cerca l'applicazione che vuoi. :)

Antipop
05-03-2002, 16.03.24
Start a shell, find the downloaded file and exctract by:
chmod a+x j2re-1_3_1-linux-i386-rpm.bin; ./j2re-1_3_1-linux-i386-rpm.bin
Install the package by: su -c "rpm -Uvh jre-1.3.1.i386.rpm"


Questo sono riuscito a farlo, adesso

Make sure Opera finds the plug-in by adding
/usr/java/jre1.3.1/plugin/i386/ns4 to OPERA_PLUGIN_PATH
Make sure Mime-Type's are correctly associated to Show with plug-in under Preferences/Applications/Plug-ins

Cosa debbo fare?

Antipop
06-03-2002, 16.10.37
AIUTO!!!!!!!!!!!! Ma è possibile che nessuno usa opera su linux in questo forum!!!!!
Eddai, aiutiamo un povero disgraziato che non vuole più le costosissime licenze M$ tra i piedi!!!!!

Ibanez
06-03-2002, 20.40.08
Mai usato opera ne su windows ne su linux. Su linux mi trovo molto bene con konqueror. Hai provato ad aggiungere la riga
/usr/java/jre1.3.1/plugin/i386/ns4 al file OPERA_PLUGIN_PATH ? Sei riuscito ad avere le icone dei programmi sul desktop?

Antipop
06-03-2002, 20.52.59
Non caspisco dove aggiungere quella riga, e soprattutto che è OPERA_PLUGIN_PATH ?
Per il resto tutto bene, a parte le icone e gli eseguibili di openoffice che non riesco a trovare. Sono riuscito a installare il plugin anche su konqueror.

Ibanez
06-03-2002, 20.55.49
OPERA_PLUGIN_PATH dovrebbe essere il file di configurazione di opera. Prova a cercarlo

Antipop
06-03-2002, 21.53.43
Non lo trovo, sto pensando vivamente di rinunciare. Forse userò solo konqueror........sig sig.

Ibanez
06-03-2002, 22.38.06
Prova a cercare nella directory di opera o magari nella home. Accertati di entrare da root. Prova anche nella directory /etc.

pholcus
17-03-2002, 15.59.33
OPERA_PLUGIN_PATH non lo trovi perchè non e' un file..

Vai in preferences->multimedia->plugins->modify path->add
qui scrivi la directory dove c'è il plugin per opera. Esempio nel mio caso: /usr/j2sdk1.4.0/jre/plugin/i386/ns4/

Poi vai in preferences->applications->filetypes->new
e aggiungi questi due tipi:

application/x-java-applet::Java(tm) Plug-in
application/x-java-bean::Java(tm)

selezionano "use plugin"

E' tutto qui:

http://www.opera.com/linux/docs/plugins/instplug.html#java


Ciao

Antipop
19-03-2002, 09.56.05
Mi sa che tu usi opera 6beta, io ho la 5.0. La 6 non me la installa perchè manca una libreria.

pholcus
19-03-2002, 15.53.42
si e' la 6..ma dovrebbe essere la stessa cosa...l'avevo prima la 5..ovrei reinstallarla per aiutarti..
ciao

Antipop
19-03-2002, 18.29.49
Allora puoi aiutarmi ad installare la 6 per favore?

Quando installo il pacchetto rpm mi dice:
libXm.so.2 is needed by opera-6.0-20020218.1

Che devo fa?

pholcus
19-03-2002, 19.08.51
Ciao.

Allora forse poso passarti io quel file..pero' dopo magari ti manca qualcos'altro; quindi e' meglio se installi OpenMotif che trovi qui

www.openmotif.org

Se non e' troppo grande te lo mando io quel file. Dimmi tu.

Ciao

Antipop
20-03-2002, 06.27.15
Ma a che serve sto programma? Adesso mi scarico l'rpm, mi puoi dire cosa devo fare? Grazie mille!!!

Antipop
20-03-2002, 06.44.01
quando ho provato ad installare il file di estensione rpm.part mi il gestore pacchetti mi dice:

<an/Desktop/openmotif-2.2.0-1_ICS.i386.rpm.part;echo RESULT=$?
warning: Expected size: 3005377 = lead(96)+sigs(160)+pad(0)+data(3005121)
warning: Actual size: 2187896
warning: Expected size: 3005377 = lead(96)+sigs(160)+pad(0)+data(3005121)
warning: Actual size: 2187896
error: unpacking of archive failed on file /usr/X11R6/lib/libXm.so.2.2.0;3c98250c: cpio: read
RESULT=1

Antipop
20-03-2002, 06.59.28
C'era stato un errore nel download. L'rpm è installato, ma se lancio il comando non parte il programma.

pholcus
20-03-2002, 14.22.04
Non deve partire..sono i motivi(ovvero i temi che non trovava).
Ora prova a installare opera.Dovresti riuscirci, a meno che non ti manchi qualche altra libreria.
Ciao

Antipop
20-03-2002, 18.22.49
pholcus sei un mito!!!!!
Grazie per la pazienza e l'aiuto, a buon rendere!!!!!!

pholcus
20-03-2002, 19.08.14
Di niente..;)

Tra parentesi i file .part sono i file non completamente scaricati con konqueror, in modo che se ti salta la connesssione, poi puoi riprendere il download da dove si era interrotto.

Ciao

Antipop
21-03-2002, 08.51.00
Esiste un modo per importare i preferiti di explorer?

pholcus
21-03-2002, 18.22.34
Mi pare proprio di si! Non mi ricordo dove, ma mi pare di si..appena controllo te lo dico..Intanto prova a vedere se c'e' la voce sotto File->import->favorites..o qualcosa del genere..
Ciao